<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use Illuminate\Support\Facades\Route;

Route::post('feeds:search', [\App\Http\ApiV1\Modules\Feeds\Controllers\FeedController::class, 'search'])->name('searchFeeds');
Route::post('feeds', [\App\Http\ApiV1\Modules\Feeds\Controllers\FeedController::class, 'create'])->name('createFeed');
Route::get('feeds/{id}', [\App\Http\ApiV1\Modules\Feeds\Controllers\FeedController::class, 'get'])->name('getFeed');
Route::put('feeds/{id}', [\App\Http\ApiV1\Modules\Feeds\Controllers\FeedController::class, 'put'])->name('updateFeed');
Route::delete('feeds/{id}', [\App\Http\ApiV1\Modules\Feeds\Controllers\FeedController::class, 'delete'])->name('deleteFeed');
